<header
  class="my-1 flex items-center justify-start pb-5 text-sm italic text-gray-500 dark:text-gray-200"
>
  <a routerLink="/" class="inline-flex py-1 text-gray-800 dark:text-white"> Projectos </a>
  <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24">
    <path
      fill="currentColor"
      d="m13.172 12l-4.95-4.95l1.414-1.413L16 12l-6.364 6.364l-1.414-1.415z"
    />
  </svg>
  {{ project()?.title }}
</header>

<div class="flex flex-col gap-y-16">
  <article class="flex flex-col space-x-0 space-y-8 md:flex-row md:space-x-8 md:space-y-0">
    <div class="flex w-full flex-col gap-2 md:w-1/2">
      <div
        class="group relative h-56 transform gap-8 overflow-clip rounded-lg shadow-xl transition duration-500 ease-in-out sm:rounded-xl md:group-hover:-translate-y-1 md:group-hover:shadow-2xl lg:border lg:border-gray-800 lg:hover:border-gray-700 lg:hover:bg-gray-800/50"
      >
        <img
          alt="Recién llegado vs 5 años en Nueva Zelanda"
          class="h-56 w-full object-cover object-top transition duration-500 sm:h-full md:scale-110 md:group-hover:scale-105"
          loading="lazy"
          [src]="previewImage()"
        />
      </div>
      <div class="flex gap-2">
        @for (image of project()?.tumbails; track $index) {
          <img
            [ngClass]="
              previewImage() === image ? 'border-2 border-lima-400' : 'border-2 border-transparent'
            "
            (click)="previewImg(image)"
            [src]="image"
            alt=" imagen de previsualizion del proyecto  {{ project()?.title }} "
            class="h-10 w-20 cursor-pointer rounded-md object-cover"
          />
        }
      </div>
    </div>

    <div class="w-full md:w-1/2 md:max-w-lg">
      <h3 class="text-2xl font-bold text-gray-800 dark:text-gray-100">{{ project()?.title }}</h3>
      <div class="mt-2 flex flex-col">
        <ul class="mb-2 flex flex-row gap-x-2">
          @for (item of project()?.technologies; track $index) {
            <li>
              <span
                class="flex cursor-pointer gap-x-2 rounded-full bg-lime-500 px-3 py-1 text-xs capitalize transition-all duration-300 hover:scale-105 dark:bg-gray-700 dark:text-white"
              >
                {{ item }}
              </span>
            </li>
          }
        </ul>

        <div class="mt-2 text-gray-700 dark:text-gray-400">
          {{ project()?.description }}
        </div>
        <footer class="mt-4 flex items-end justify-start gap-x-4">
          @if (project()?.url) {
            <a
              [href]="project()?.url"
              class="inline-flex items-center gap-2 rounded-lg bg-gray-900 px-5 py-1 text-base duration-300 dark:text-white dark:hover:border dark:hover:bg-gray-950/75"
            >
              <link-icon />
              Preview
            </a>
          }
          @if (project()?.github) {
            <a
              [href]="project()?.github"
              class="inline-flex items-center gap-2 rounded-lg bg-gray-900 px-5 py-1 text-base duration-300 dark:text-white dark:hover:border dark:hover:bg-gray-950/75"
            >
              <github-icon />
              Github
            </a>
          }
        </footer>
      </div>
    </div>
  </article>
</div>
